#pragma once

#include "Widget.h"
#include <vector>

class HorizontalSpacer : public Widget
{
public:
    HorizontalSpacer();

    static std::unique_ptr<HorizontalSpacer> Create();

    void addWidget(WidgetUPtr widget) override;

    void addWidgetWithScale(WidgetUPtr widget, double scale);
private:
    void updateChildLocations() override;
    std::vector<double> mScales;
};

using HorizontalSpacerUPtr = std::unique_ptr<HorizontalSpacer>;
